dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AwardUpgrade(eGOODIE_FOOD2);

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);

--square block formation
--LManager:AddTable(eTYPE_TABLE1, 200, 260);
LManager:AddTable(eTYPE_TABLE2, 380, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 200, 375);
LManager:AddTable(eTYPE_TABLE5, 380, 375);
LManager:AddTable(eTYPE_TABLE6, 560, 375);
LManager:AddTable(eTYPE_TABLE7, 200, 490);
LManager:AddTable(eTYPE_TABLE8, 380, 490);
--LManager:AddTable(eTYPE_TABLE9, 560, 490);

LManager:AddCandle(165, 74, 25000);
LManager:AddCandle(285, 74, 25000);
LManager:AddCandle(576, 74, 25000);

seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED8);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 7;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 30000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 92000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 146000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 172000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 203000;
guest.needs[7] = eWANT_DRINK;
guest.times[7] = 231000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 43000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 70000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 123000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 177000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 264000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 9000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 72000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 99000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 151000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 210000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 243000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 49000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 83000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 128000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 184000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 270000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 14000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 90000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 105000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 163000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 217000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 250000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST9);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 21000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 56000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 135000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 191000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 224000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 257000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST10);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 30000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 64000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 111000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 170000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 264000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(3,9);
LManager:SetLevelScores(11000, 11444);
LManager:SetLevelTime(40000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();